## django-q 1.8.0

=== Makefile ===
dev:
	docker compose -f web-docker-compose.yaml up

test:
	docker compose -f test-services-docker-compose.yaml run --rm django-q2 poetry run pytest

shell:
	docker compose -f test-services-docker-compose.yaml run --rm django-q2 poetry run python manage.py shell

makemigrations:
	docker compose -f test-services-docker-compose.yaml run --rm django-q2 poetry run python manage.py makemigrations

migrate:
	docker compose -f test-services-docker-compose.yaml run --rm django-q2 poetry run python manage.py migrate

createsuperuser:
	docker compose -f web-docker-compose.yaml run --rm web python manage.py createsuperuser

format:
	docker compose -f test-services-docker-compose.yaml run --rm django-q2 poetry run ruff format .
	docker compose -f test-services-docker-compose.yaml run --rm django-q2 poetry run ruff check . --fix

=== requirements.txt ===
asgiref==3.8.1 ; python_version >= "3.8" and python_version < "4" \
    --hash=sha256:3e1e3ecc849832fe52ccf2cb6686b7a55f82bb1d6aee72a58826471390335e47 \
    --hash=sha256:c343bd80a0bec947a9860adb4c432ffa7db769836c64238fc34bdc3fec84d590
backports-zoneinfo==0.2.1 ; python_version >= "3.8" and python_version < "3.9" \
    --hash=sha256:17746bd546106fa389c51dbea67c8b7c8f0d14b5526a579ca6ccf5ed72c526cf \
    --hash=sha256:1b13e654a55cd45672cb54ed12148cd33628f672548f373963b0bff67b217328 \
    --hash=sha256:1c5742112073a563c81f786e77514969acb58649bcdf6cdf0b4ed31a348d4546 \
    --hash=sha256:4a0f800587060bf8880f954dbef70de6c11bbe59c673c3d818921f042f9954a6 \
    --hash=sha256:5c144945a7752ca544b4b78c8c41544cdfaf9786f25fe5ffb10e838e19a27570 \
    --hash=sha256:7b0a64cda4145548fed9efc10322770f929b944ce5cee6c0dfe0c87bf4c0c8c9 \
    --hash=sha256:8439c030a11780786a2002261569bdf362264f605dfa4d65090b64b05c9f79a7 \
    --hash=sha256:8961c0f32cd0336fb8e8ead11a1f8cd99ec07145ec2931122faaac1c8f7fd987 \
    --hash=sha256:89a48c0d158a3cc3f654da4c2de1ceba85263fafb861b98b59040a5086259722 \
    --hash=sha256:a76b38c52400b762e48131494ba26be363491ac4f9a04c1b7e92483d169f6582 \
    --hash=sha256:da6013fd84a690242c310d77ddb8441a559e9cb3d3d59ebac9aca1a57b2e18bc \
    --hash=sha256:e55b384612d93be96506932a786bbcde5a2db7a9e6a4bb4bffe8b733f5b9036b \
    --hash=sha256:e81b76cace8eda1fca50e345242ba977f9be6ae3945af8d46326d776b4cf78d1 \
    --hash=sha256:e8236383a20872c0cdf5a62b554b27538db7fa1bbec52429d8d106effbaeca08 \
    --hash=sha256:f04e857b59d9d1ccc39ce2da1021d196e47234873820cbeaad210724b1ee28ac \
    --hash=sha256:fadbfe37f74051d024037f223b8e001611eac868b5c5b06144ef4d8b799862f2
django-picklefield==3.2 ; python_version >= "3.8" and python_version < "4" \
    --hash=sha256:aa463f5d79d497dbe789f14b45180f00a51d0d670067d0729f352a3941cdfa4d \
    --hash=sha256:e9a73539d110f69825d9320db18bcb82e5189ff48dbed41821c026a20497764c
django==4.2.11 ; python_version >= "3.8" and python_version < "4" \
    --hash=sha256:6e6ff3db2d8dd0c986b4eec8554c8e4f919b5c1ff62a5b4390c17aff2ed6e5c4 \
    --hash=sha256:ddc24a0a8280a0430baa37aff11f28574720af05888c62b7cfe71d219f4599d3
importlib-metadata==7.1.0 ; python_version >= "3.8" and python_version < "3.10" \
    --hash=sha256:30962b96c0c223483ed6cc7280e7f0199feb01a0e40cfae4d4450fc6fab1f570 \
    --hash=sha256:b78938b926ee8d5f020fc4772d487045805a55ddbad2ecf21c6d60938dc7fcd2
sqlparse==0.5.0 ; python_version >= "3.8" and python_version < "4" \
    --hash=sha256:714d0a4932c059d16189f58ef5411ec2287a4360f17cdd0edd2d09d4c5087c93 \
    --hash=sha256:c204494cd97479d0e39f28c93d46c0b2d5959c7b9ab904762ea6c7af211c8663
typing-extensions==4.11.0 ; python_version >= "3.8" and python_version < "3.11" \
    --hash=sha256:83f085bd5ca59c80295fc2a82ab5dac679cbe02b9f33f7d83af68e241bea51b0 \
    --hash=sha256:c1f94d72897edaf4ce775bb7558d5b79d8126906a14ea5ed1635921406c0387a
tzdata==2024.1 ; python_version >= "3.8" and python_version < "4" and sys_platform == "win32" \
    --hash=sha256:2674120f8d891909751c38abcdfd386ac0a5a1127954fbc332af6b5ceae07efd \
    --hash=sha256:9068bc196136463f5245e51efda838afa15aaeca9903f49050dfa2679db4d252
zipp==3.18.1 ; python_version >= "3.8" and python_version < "3.10" \
    --hash=sha256:206f5a15f2af3dbaee80769fb7dc6f249695e940acca08dfb2a4769fe61e538b \
    --hash=sha256:2884ed22e7d8961de1c9a05142eb69a247f120291bc0206a00a7642f09b5b715

=== docs/requirements.txt ===
sphinx-rtd-theme==1.0.0

=== debian/changelog ===
django-q (1.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use dh-sequence-python3 and dh-sequence-sphinxdoc.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Thu, 23 Oct 2025 13:15:59 +0100

django-q (1.7.4-2) unstable; urgency=medium

  * Team upload
  * Fix tests

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 29 Apr 2025 07:55:20 +0200

=== debian/control ===
Source: django-q
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Jonas Meurer <mejo@debian.org>,
           Pierre-Elliott Bécue <peb@debian.org>,
           Roland Mas <lolando@debian.org>,
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               pybuild-plugin-pyproject,
               python3-all,
               python3-poetry-core,
               python3-sphinx,
               python3-sphinx-rtd-theme,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/django-q
Vcs-Git: https://salsa.debian.org/python-team/packages/django-q.git
Homepage: https://github.com/django-q2/django-q2
Rules-Requires-Root: no

Package: python3-django-q
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends},
Suggests: python3-blessed,
          python3-boto3,
          python3-croniter,
          python3-django-redis,
          python3-hiredis,
          python3-psutil,
          python3-pymongo,
          python3-redis,
          python3-setproctitle,
Description: Django multiprocessing distributed task queue (Python 3 version)
 A multiprocessing distributed task queue for Django with following features:
 .
  * Multiprocessing worker pool
  * Asynchronous tasks
  * Scheduled and repeated tasks
  * Encrypted and compressed packages
  * Failure and success database or cache
  * Result hooks, groups and chains
  * Django Admin integration
  * PaaS compatible with multiple instances
  * Multi cluster monitor
  * Redis, Disque, IronMQ, SQS, MongoDB or ORM
  * Rollbar and Sentry support
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django-q
export PYBUILD_AFTER_INSTALL=rm -f '{destdir}/{install_dir}/CHANGELOG.md'

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:

override_dh_auto_build:
	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs docs/.build/html
	dh_auto_build

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

=== debian/tests/control ===
Tests: python3-django-q
Depends: python3-all,
         python3-blessed,
         python3-bson,
         python3-croniter,
         python3-django-redis,
         python3-hiredis,
         python3-poetry,
         python3-pymongo,
         python3-pytest,
         python3-pytest-cov,
         python3-pytest-django,
         redis-server,
         @,
Restrictions: needs-root, allow-stderr

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://github.com/django-q2/django-q2/tags \
.*[^n]/(?:|v|version-|r|REL_|rel-|(?:django-q2)(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## django-q 1.9.0

=== debian/changelog ===
django-q (1.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop "Rules-Requires-Root: no", default as of dpkg-dev 1.22.13.
  * Drop "Priority: optional", default as of dpkg-dev 1.22.13.
  * Standards-Version: 4.7.3.

 -- Colin Watson <cjwatson@debian.org>  Fri, 20 Feb 2026 18:48:31 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
            Pierre-Elliott Bécue <peb@debian.org>,
            Roland Mas <lolando@debian.org>,
 Section: python
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                dh-sequence-sphinxdoc,
@@ -13,11 +12,10 @@
                python3-poetry-core,
                python3-sphinx,
                python3-sphinx-rtd-theme,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-q
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-q.git
 Homepage: https://github.com/django-q2/django-q2
-Rules-Requires-Root: no
 
 Package: python3-django-q
 Architecture: all
